VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vapi::Std::Errors::InvalidRequest Class Reference
Inheritance diagram for Com::Vmware::Vapi::Std::Errors::InvalidRequest:

## Avaliable Methods
public method | new ()

## Detailed Description

The `Com::Vmware::Vapi::Std::Errors::InvalidRequest` error indicates that the request is malformed in such a way that the server is unable to process it.

Examples:

- The XML in a SOAP request is not well-formed so the server cannot parse the request.
- The XML in a SOAP request is well-formed but does not match the structure required by the SOAP specification.
- A JSON-RPC request is not valid JSON.
- The JSON sent in a JSON-RPC request is not a valid JSON-RPC Request object.
- The Request object from a JSON-RPC request does not match the structure required by the API infrastructure.

Counterexamples:

- The parameter has a value that is not with the required range. The class Com::Vmware::Vapi::Std::Errors::InvalidArgument error would be used instead.
- The name of the method specified in the request doesn't not match any known method . The class Com::Vmware::Vapi::Std::Errors::NotFound error would be used instead.

Some transport protocols (for example JSON-RPC) include their own mechanism for reporting these kinds of errors, and the API infrastructure for a programming language may expose the errors using a language specific mechanism, so this error might not be used.

## Member Function Documentation

public method Com::Vmware::Vapi::Std::Errors::InvalidRequest::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vapi::Std::Errors::InvalidRequest structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 14
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->set_binding_class('binding_class' => 'Com::Vmware::Vapi::Std::Errors::InvalidRequest');
$self->set_binding_name('name' => 'com.vmware.vapi.std.errors.invalid_request');
bless $self, $class;
return $self;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vapi/Std/Errors/InvalidRequest.pm